# mixer.h File Reference

Functions to mix sound samples. More...

Go to the source code of this file.

## Enumerations

enum | { MX_AUTOFREE = 1 }

## Functions

bool | MxInitialize (uint rate)
void | MxMixSamples (void *buffer, uint samples)
MixerChannel * | MxAllocateChannel ()
void | MxSetChannelRawSrc (MixerChannel *mc, int8 *mem, size_t size, uint rate, uint flags)
void | MxSetChannelVolume (MixerChannel *mc, uint left, uint right)
void | MxActivateChannel (MixerChannel *)

## Detailed Description

Functions to mix sound samples.

Definition in file mixer.h.